clang-tools 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::clangd::IgnoreDiagnostics Class Reference

`#include <Compiler.h>`

Inheritance diagram for clang::clangd::IgnoreDiagnostics:
[legend]
Collaboration diagram for clang::clangd::IgnoreDiagnostics:
[legend]

## Public Member Functions
void | HandleDiagnostic (DiagnosticsEngine::Level DiagLevel, const clang::Diagnostic &Info) override

## Static Public Member Functions
static void | log (DiagnosticsEngine::Level DiagLevel, const clang::Diagnostic &Info)

## Detailed Description

Definition at line 26 of file Compiler.h.

## Member Function Documentation

## ◆ HandleDiagnostic()

void clang::clangd::IgnoreDiagnostics::HandleDiagnostic | ( | DiagnosticsEngine::Level | DiagLevel,
|  | const clang::Diagnostic & | Info
| ) |  |
| override

Definition at line 38 of file Compiler.cpp.

References log().

## ◆ log()

void clang::clangd::IgnoreDiagnostics::log | ( | DiagnosticsEngine::Level | DiagLevel,
|  | const clang::Diagnostic & | Info
| ) |  |
| static

Definition at line 20 of file Compiler.cpp.

References clang::tidy::modernize::Message.

Referenced by HandleDiagnostic(), and clang::clangd::StoreDiags::HandleDiagnostic().

The documentation for this class was generated from the following files:

- Compiler.h
- Compiler.cpp